import request from '@/utils/httpRequest'

export default class ContractFileService {
  save (param) {
    return request({
      url: '/contract/contractFile/save',
      method: 'post',
      data: param
    })
  }
  updateStatusById (param) {
    return request({
      url: '/contract/contractFile/updateStatusById',
      method: 'post',
      data: param
    })
  }
  findById (id) {
    return request({
      url: '/contract/contractFile/findById',
      method: 'get',
      params: {id: id}
    })
  }
  findByContractInfoId (id) {
    return request({
      url: '/contract/contractFile/findByContractInfoId',
      method: 'get',
      params: {id: id}
    })
  }
}
